## audex 0.74~b1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
 project (audex)
+
+cmake_minimum_required(VERSION 2.8)
 
 set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
 set(CPACK_GENERATOR "DEB;RPM;TGZ")
@@ -6,38 +8,38 @@
 set(DEBIAN_PACKAGE_SECTION "Multimedia")
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
-set(CPACK_PACKAGE_VERSION_MINOR "72")
+set(CPACK_PACKAGE_VERSION_MINOR "74")
 set(CPACK_PACKAGE_VERSION_BETA " beta 1")
-set(CPACK_PACKAGE_CONTACT "Marco Nelles <audex@maniatek.de>")
+set(CPACK_PACKAGE_CONTACT "Marco Nelles <audex@maniatek.com>")
 set(AUDEX_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}${CPACK_PACKAGE_VERSION_BETA}")
 set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${AUDEX_VERSION}")
 set(CPACK_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${AUDEX_VERSION}")
 include(CPack)
 
-set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
+set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
 configure_file(config.h.cmake ${CMAKE_BINARY_DIR}/config.h)
 
 find_package(KDE4 REQUIRED)
 find_package(KdeMultimedia REQUIRED)
+find_package(Cdparanoia REQUIRED)
+
 include(MacroLibrary)
-
-find_package(Cdparanoia)
-macro_log_feature(CDPARANOIA_FOUND "cdparanoia" "Reads digital audio directly from a CD, then writes the data to a file or pipe in several different formats" "http://www.xiph.org/paranoia/" FALSE "" "Required for building Audex.")
 
 include_directories(
     ${KDE4_INCLUDES}
     ${KDEMULTIMEDIA_INCLUDE_DIR}
-    ${CMAKE_SOURCE_DIR}
+    ${CMAKE_CURRENT_SOURCE_DIR}
     ${CMAKE_BINARY_DIR}
     ${CDPARANOIA_INCLUDE_DIR}
 )
+
+set(CMAKE_C_FLAGS "${AUDEX_ID3_CFLAGS} ${CMAKE_C_FLAGS}")
 
 set(audex_SRCS
   main.cpp
   mainwindow.cpp
   models/cddamodel.cpp
   models/profilemodel.cpp
-  utils/diskfreespace.cpp
   utils/pid.cpp
   utils/coverfetcher.cpp
   utils/patternparser.cpp
@@ -45,6 +47,7 @@
   utils/wavefilewriter.cpp
   utils/cddaparanoia.cpp
   utils/encoderwrapper.cpp
+  utils/errordialog.cpp
   utils/cddaextractthread.cpp
   utils/upload.cpp
   utils/encoderassistant.cpp
@@ -52,6 +55,8 @@
   utils/3rdparty/crc32.cpp
   utils/parameters.cpp
   utils/cachedimage.cpp
+  utils/cuesheetwriter.cpp
+  utils/tmpdir.cpp
   widgets/cddaheaderwidget.cpp
   widgets/generalsettingswidget.cpp
   widgets/profilewidget.cpp
@@ -69,6 +74,8 @@
   dialogs/profiledataplaylistdialog.cpp
   dialogs/profiledatainfodialog.cpp
   dialogs/profiledatahashlistdialog.cpp
+  dialogs/profiledatacuesheetdialog.cpp
+  dialogs/profiledatasinglefiledialog.cpp
   dialogs/patternwizarddialog.cpp
   dialogs/commandwizarddialog.cpp
   dialogs/simplepatternwizarddialog.cpp
@@ -94,6 +101,8 @@
   dialogs/profiledataplaylistwidgetUI.ui
   dialogs/profiledatainfowidgetUI.ui
   dialogs/profiledatahashlistwidgetUI.ui
+  dialogs/profiledatacuesheetwidgetUI.ui
+  dialogs/profiledatasinglefilewidgetUI.ui
   dialogs/patternwizardwidgetUI.ui
   dialogs/commandwizardwidgetUI.ui
   dialogs/simplepatternwizardwidgetUI.ui
@@ -104,7 +113,7 @@
 kde4_add_kcfg_files(audex_SRCS preferences.kcfgc)
 
 kde4_add_executable(audex ${audex_SRCS})
-target_link_libraries(audex ${CDPARANOIA_LIBRARIES} ${KDE4_KDEUI_LIBS} ${KDE4_KUTILS_LIBS} ${KDEMULTIMEDIA_LIBRARIES})
+target_link_libraries(audex ${CDPARANOIA_LIBRARIES} ${KDE4_KDEUI_LIBS} ${KDE4_KUTILS_LIBS} ${KDE4_KIO_LIBRARY} ${KDEMULTIMEDIA_LIBRARIES} ${QT_QTXML_LIBRARY} )
 
 install(TARGETS audex DESTINATION ${BIN_INSTALL_DIR})
 install(FILES audexui.rc DESTINATION  ${DATA_INSTALL_DIR}/audex)
