=== debian/changelog ===
audex (0.74~b1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix missing <unistd.h> include (Cyril Brulebois) Closes: #667105.

 -- Matthias Klose <doko@debian.org>  Tue, 29 May 2012 12:22:28 +0800

audex (0.74~b1-1) unstable; urgency=low

  * New upstream release.
  Closes: #553958, #564866
  * Bumped standards version to 3.9.2
  * Updated Homepage:
  * Switched to 3.0 (quilt) package format.
  * Removed patches: applied upstream.

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 07 Aug 2011 22:16:54 -0500

audex (0.72b1-2) unstable; urgency=medium

  [ Mark Purcell ]
  * Added cmake to Build-Depends. (Closes: #581281)

  [ Felix Geyer ]
  * Updated Homepage field and watch file.
  * Add 02_remove_mkdirjob_include.diff, patch from upstream to fix FTBFS.
    (Closes: #582197)
  * Bump Standards-Version to 3.8.4, no changes needed.
  * Urgency medium to fix RC bug.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 23 May 2010 11:39:31 +0200

audex (0.72b1-1) unstable; urgency=low

  * New upstream release. 
  * Bumped standards version to 3.8.3
  * Refreshed patches

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 19 Sep 2009 01:28:31 -0500

audex (0.71b5-1) unstable; urgency=low

  * New upstream release.
  * Fixed watch file. 

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 09 Aug 2009 11:38:29 -0500

audex (0.71b3-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.8.2 

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 06 Jul 2009 13:07:28 +0200

audex (0.71b2-1) unstable; urgency=low

  * Adapted package for debian:
    o Changed maintainer to pkg-kde
    o Moved original maintainer and myself in uploaders
    o Use the correct kde cdbs class
    o Renamed patch
  * Initial upload to unstable (Closes: #531712)

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 04 Jun 2009 16:24:37 +0200

audex (0.71b2-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #378174)

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Tue, 19 May 2009 04:27:40 +0200

audex (0.71b1-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #375528)
  * Refresh kubuntu_01_valid_desktop_file.diff
  * Drop cmake from build-deps
  * Bump Standards-Version to 3.8.1
  * Transition from kde4.mk to pkg-kde-tools
   - debian/rules: Change '/usr/share/cdbs/1/class/kde4.mk' to
     '/usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk'
   - debian/control: Build-Depend on 'pkg-kde-tools'

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Tue, 12 May 2009 17:41:20 +0200

audex (0.62b-0ubuntu3) jaunty; urgency=low

  * Added kubuntu_01_valid_desktop_file.diff:
    - Fixes a couple of issues to make the desktop file a valid one
    - Added french GenericName
  * Added debian/watch file
  * Added debian/README.source file

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 27 Jan 2009 13:02:05 +0100

audex (0.62b-0ubuntu2) jaunty; urgency=low

  * debian/control: spurious character in Depends stanza.(LP: #322717)

 -- Andrea Gasparini <gaspa@yattaweb.it>  Thu, 29 Jan 2009 13:37:44 +0100

audex (0.62b-0ubuntu1) jaunty; urgency=low

  * Initial release

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 23 Jan 2009 13:47:08 +0100
