=== debian/control ===
Source: audex
Section: kde
Priority: extra
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org> 
Uploaders: Anthony Mercatante <tonio@ubuntu.com>, Romain Beauxis <toots@rastageeks.org>
Build-Depends: cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 quilt,
 patchutils (>= 0.2.25),
 cdbs (>= 0.4.27), 
 docbook2x, kdelibs5-dev, cmake,
 libcdparanoia-dev, kdemultimedia-dev, 
 pkg-kde-tools
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/audex/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/audex/
Homepage: http://kde.maniatek.com/audex/

Package: audex
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Audio grabber tool for KDE
 Audex is a new audio grabber tool for CD-ROM drives for the KDE desktop.
 .
 The assistant is able to create profiles for LAME, OGG Vorbis (oggenc),
 FLAC, FAAC (AAC/MP4) and RIFF WAVE. Please install your favorite encoder.
 Of course for WAVE no external encoder is needed!
 Beyond the assistant you can define your own profile, which means, that
 audex works together with commmand line encoders in general.
 .
 Some features are:
  * Extracting with CDDA Paranoia. So you have quite perfect audio quality.
  * Extracting and encoding run parallel.
  * Filename editing with local and remote CDDB/FreeDB database.
  * Submit new entries to CDDB/FreeDB database.
  * Metadata correction tools like capitalize etc.
  * Multi-profile extraction (with one commandline-encoder per profile).
  * Fetch covers from the internet and store them in the database.
  * Create playlists, cover and template-based-info files in target directory.
  * Creates extraction and encoding protocols.
  * Transfer files to a FTP-server.
