=== debian/watch ===
# watch control file for uscan
# You can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://kde.maniatek.de/audex/download \
/audex/files/audex-([\d\.\w]+)\.tar\.bz2
