## audex 0.77~b1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 set(DEBIAN_PACKAGE_SECTION "Multimedia")
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
-set(CPACK_PACKAGE_VERSION_MINOR "74")
+set(CPACK_PACKAGE_VERSION_MINOR "77")
 set(CPACK_PACKAGE_VERSION_BETA " beta 1")
 set(CPACK_PACKAGE_CONTACT "Marco Nelles <audex@maniatek.com>")
 set(AUDEX_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}${CPACK_PACKAGE_VERSION_BETA}")
