=== debian/changelog ===
audex (0.77~b1-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #398234, #1085025). Remaining changes:
    - Build-depend on libkcddb-dev and libkcompactdisc-dev instead of
      kde-multimedia, as that package doesn't exist anymore.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 15 May 2013 20:26:51 -0400

audex (0.77~b1-2) unstable; urgency=low

  * Upload to unstable
  * Add Suggests: eye3d (LP:398234)

 -- Mark Purcell <msp@debian.org>  Sat, 11 May 2013 18:28:25 +1000

audex (0.77~b1-1) experimental; urgency=low

  * New Upstream Release
  * Updated debian/watch from Bart Martens
    - Fixes "[audex] now hosted at kde svn" (Closes: #555406)
  * Add myself to Uploaders:
  * Ack NMU. Thanks Matthias & Romain
  * debian/compat -> 9
  * Fix "encoding dependencies" Added Suggests:  (Closes: #696941)

 -- Mark Purcell <msp@debian.org>  Sun, 14 Apr 2013 18:14:34 +1000

audex (0.74~b1-1.1ubuntu1) quantal; urgency=low

  * Build-depend on libkcddb-dev and libkcompactdisc-dev instead of
    kde-multimedia as that package doesn't exist anymore.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 26 Sep 2012 11:36:32 +0200
