=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: audex
 Section: kde
 Priority: extra
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org> 
-Uploaders: Anthony Mercatante <tonio@ubuntu.com>, Romain Beauxis <toots@rastageeks.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org> 
+Uploaders: Mark Purcell <msp@debian.org>, Anthony Mercatante <tonio@ubuntu.com>, Romain Beauxis <toots@rastageeks.org>
 Build-Depends: cdbs (>= 0.4.85~),
- debhelper (>= 7.0.1),
+ debhelper (>= 9),
  dh-buildinfo,
  quilt,
  patchutils (>= 0.2.25),
  cdbs (>= 0.4.27), 
  docbook2x, kdelibs5-dev, cmake,
- libcdparanoia-dev, kdemultimedia-dev, 
+ libcdparanoia-dev,
+ libkcddb-dev,
+ libkcompactdisc-dev,
  pkg-kde-tools
 Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/audex/
@@ -20,6 +23,7 @@
 Package: audex
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: vorbis-tools, flac, faac, twolame, lame, eyed3
 Description: Audio grabber tool for KDE
  Audex is a new audio grabber tool for CD-ROM drives for the KDE desktop.
  .
