=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)

file(GLOB catalogs *.po)

gettext_create_translations("audex.pot" ALL ${catalogs})
