=== debian/changelog ===
audex (0.78-1) unstable; urgency=low

  * New upstream release
    - Fixed google cover search and embed cover in FLAC files.
  * Merge from Ubuntu (LP: #398234, #1085025).
    - Build-depend on libkcddb-dev and libkcompactdisc-dev instead of
    kde-multimedia, as that package doesn't exist anymore.

 -- Mark Purcell <msp@debian.org>  Sun, 09 Mar 2014 12:25:50 +1100
