=== debian/control ===
--- 
+++ 
@@ -1,23 +1,20 @@
 Source: audex
 Section: kde
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org> 
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org> 
 Uploaders: Mark Purcell <msp@debian.org>, Anthony Mercatante <tonio@ubuntu.com>, Romain Beauxis <toots@rastageeks.org>
 Build-Depends: cdbs (>= 0.4.85~),
  debhelper (>= 9),
  dh-buildinfo,
  quilt,
  patchutils (>= 0.2.25),
- cdbs (>= 0.4.27), 
  docbook2x, kdelibs5-dev, cmake,
- libcdparanoia-dev,
- libkcddb-dev,
- libkcompactdisc-dev,
+ libcdparanoia-dev, 
+ libkcddb-dev, libkcompactdisc-dev,
  pkg-kde-tools
-Standards-Version: 3.9.2
-Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/audex/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/audex/
+Standards-Version: 3.9.5
+Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/audex/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/audex/
 Homepage: http://kde.maniatek.com/audex/
 
 Package: audex
