=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
http://kde.maniatek.com/audex/download .*/audex-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)) debian svn-upgrade
# Bart Martens <bartm@debian.org>  Wed, 02 Jan 2013 21:31:48 +0000
