## audex 0.79

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 set(DEBIAN_PACKAGE_SECTION "Multimedia")
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
-set(CPACK_PACKAGE_VERSION_MINOR "78")
+set(CPACK_PACKAGE_VERSION_MINOR "79")
 set(CPACK_PACKAGE_CONTACT "Marco Nelles <audex@maniatek.com>")
 set(AUDEX_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
 set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${AUDEX_VERSION}")
@@ -28,11 +28,11 @@
 include(MacroLibrary)
 
 include_directories(
-    ${KDE4_INCLUDES}
-    ${KDEMULTIMEDIA_INCLUDE_DIR}
-    ${CMAKE_CURRENT_SOURCE_DIR}
-    ${CMAKE_BINARY_DIR}
-    ${CDPARANOIA_INCLUDE_DIR}
+  ${KDE4_INCLUDES}
+  ${KDEMULTIMEDIA_INCLUDE_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${CMAKE_BINARY_DIR}
+  ${CDPARANOIA_INCLUDE_DIR}
 )
 
 set(CMAKE_C_FLAGS "${AUDEX_ID3_CFLAGS} ${CMAKE_C_FLAGS}")
@@ -49,7 +49,6 @@
   utils/wavefilewriter.cpp
   utils/cddaparanoia.cpp
   utils/encoderwrapper.cpp
-  utils/errordialog.cpp
   utils/cddaextractthread.cpp
   utils/upload.cpp
   utils/encoderassistant.cpp
@@ -59,8 +58,10 @@
   utils/cachedimage.cpp
   utils/cuesheetwriter.cpp
   utils/tmpdir.cpp
+  utils/discidcalculator.cpp
   widgets/cddaheaderwidget.cpp
   widgets/generalsettingswidget.cpp
+  widgets/devicewidget.cpp
   widgets/profilewidget.cpp
   widgets/remoteserversettingswidget.cpp
   widgets/lamewidget.cpp
@@ -83,11 +84,13 @@
   dialogs/simplepatternwizarddialog.cpp
   dialogs/extractingprogressdialog.cpp
   dialogs/protocoldialog.cpp
+  dialogs/errordialog.cpp
   core/audex.cpp
 )
 
 kde4_add_ui_files(audex_SRCS
   widgets/generalsettingswidgetUI.ui
+  widgets/devicewidgetUI.ui
   widgets/profilewidgetUI.ui
   widgets/remoteserversettingswidgetUI.ui
   widgets/lamewidgetUI.ui
@@ -115,7 +118,16 @@
 kde4_add_kcfg_files(audex_SRCS preferences.kcfgc)
 
 kde4_add_executable(audex ${audex_SRCS})
-target_link_libraries(audex ${CDPARANOIA_LIBRARIES} ${KDE4_KDEUI_LIBS} ${KDE4_KUTILS_LIBS} ${KDE4_KIO_LIBRARY} ${KDEMULTIMEDIA_LIBRARIES} ${QT_QTXML_LIBRARY} ${QT_QTSCRIPT_LIBRARY} )
+target_link_libraries(audex
+  ${CDPARANOIA_LIBRARIES}
+  ${KDE4_KDEUI_LIBS}
+  ${KDE4_KUTILS_LIBS}
+  ${KDE4_KIO_LIBRARY}
+  ${KDE4_SOLID_LIBS}
+  ${KDEMULTIMEDIA_LIBRARIES}
+  ${QT_QTXML_LIBRARY}
+  ${QT_QTSCRIPT_LIBRARY}
+)
 
 install(TARGETS audex DESTINATION ${BIN_INSTALL_DIR})
 install(FILES audexui.rc DESTINATION  ${DATA_INSTALL_DIR}/audex)
