=== debian/changelog ===
audex (0.79-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Vcs-Browser field.
  * Switch Homepage to https://userbase.kde.org/Audex, since the maniatek URL
    is not working anymore.
    - remove the watch file because of that
  * Update the patches:
    - fix-ftbfs-with-gcc-4.7: drop, fixed upstream
  * Drop README.source, obsolete with format "3.0 (quilt)".
  * Rewrite rules to use the dh sequencer:
    - drop the cdbs build dependency
    - drop control.in, outdated
    - use the kde dh addon
    - add a audex.manpages to install the man page
  * Remove unused build dependencies: dh-buildinfo, quilt, and patchutils.
  * Enable the parallel build.
  * Fix typo in description.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Link in as-needed mode.
  * Bump the priority from extra to optional.

 -- Pino Toscano <pino@debian.org>  Sat, 30 Jul 2016 14:57:26 +0200
