=== debian/control ===
--- 
+++ 
@@ -1,21 +1,18 @@
 Source: audex
 Section: kde
-Priority: extra
+Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org> 
 Uploaders: Mark Purcell <msp@debian.org>, Anthony Mercatante <tonio@ubuntu.com>, Romain Beauxis <toots@rastageeks.org>
-Build-Depends: cdbs (>= 0.4.85~),
+Build-Depends:
  debhelper (>= 9),
- dh-buildinfo,
- quilt,
- patchutils (>= 0.2.25),
  docbook2x, kdelibs5-dev, cmake,
  libcdparanoia-dev, 
  libkcddb-dev, libkcompactdisc-dev,
  pkg-kde-tools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/audex/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/audex/
-Homepage: http://kde.maniatek.com/audex/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/audex/
+Homepage: https://userbase.kde.org/Audex
 
 Package: audex
 Architecture: any
@@ -28,7 +25,7 @@
  FLAC, FAAC (AAC/MP4) and RIFF WAVE. Please install your favorite encoder.
  Of course for WAVE no external encoder is needed!
  Beyond the assistant you can define your own profile, which means, that
- audex works together with commmand line encoders in general.
+ audex works together with command line encoders in general.
  .
  Some features are:
   * Extracting with CDDA Paranoia. So you have quite perfect audio quality.
