=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kde

override_dh_auto_build:
	dh_auto_build
	docbook2x-man debian/audex.1.docbook

override_dh_clean:
	rm -f audex.1
