## audex 25.08.1+p24.04+vstable+git20250926.0955

=== debian/changelog ===
audex (25.08.1+p24.04+vstable+git20250926.0955-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 09:55:13 +0000
