=== debian/control ===
Source: audex
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               libcdio-cdda-dev,
               libcdio-dev,
               libcdio-paranoia-dev,
               libkcddb6-dev,
               libkf6completion-dev,
               libkf6coreaddons-dev,
               libkf6crash-dev,
               libkf6iconthemes-dev,
               libkf6kcmutils-dev,
               libkf6kio-dev,
               libkf6solid-dev,
               libkf6textwidgets-dev,
               libkf6xmlgui-dev,
               pkg-kde-tools-neon
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/audex.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/audex
Maintainer: Neon CI <neon@kde.org>

Package: audex
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: CD ripper application
 Audex is an CD ripper application. It lets you extract the audio from
 your CD-ROMs to let you listen to them on your computer and your
 other devices. It includes a CDDB and a MusicBrainz integration to
 fetch the metadata and covers for your CD-ROMs if available.
