## audex 25.08.2+p24.04+vstable+git20251017.0649

=== debian/changelog ===
audex (25.08.2+p24.04+vstable+git20251017.0649-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 06:49:53 +0000
