## audex 25.12.1+p24.04+vstable+git20260129.0155

=== debian/changelog ===
audex (25.12.1+p24.04+vstable+git20260129.0155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 01:55:12 +0000
