## audex 25.12.1+p24.04+vstable+git20260130.0855

=== debian/changelog ===
audex (25.12.1+p24.04+vstable+git20260130.0855-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:55:37 +0000
