## audex 25.12.2+p24.04+vstable+git20260207.0314

=== debian/changelog ===
audex (25.12.2+p24.04+vstable+git20260207.0314-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 03:14:48 +0000

audex (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 06:53:37 +0000
