## audex 25.12.2+p24.04+vstable+git20260209.0611

=== debian/changelog ===
audex (25.12.2+p24.04+vstable+git20260209.0611-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 09 Feb 2026 06:11:49 +0000
